Bug 478085 - MIGRATED_FROM_JIRA: Dynamic Entry is not Working
MIGRATED_FROM_JIRA: Dynamic Entry is not Working
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:57 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:57:42 EST
'm using Penrose 0.9.5 server and studio on WinServer 2003 with 
j2se/1.5.0. I'm using an ODBC data souce to SQLServer 2000. I 
successfully created and tested a connection and source--my goal is to 
map the users table in the rdbms to inetorgperson classes for LDAP. 
Under the ou=Users,dc=example,dc=com node I created a dynamic entry 
with an RDN of uid=... I added the source and mapped five fields (i.e. 
sn=namelast, uid=username, postalcode=postalcode, givenname=namefirst, 
cn=namefirst+namelast) both ways from the source to the object and vice 
versa. 

Now, when I preview the ou=Users,dc=example,dc=com entry, I get nothing 
beneath it, in other words, I don't see my dynamic entry. I also tried 
browsing the directory using an ancillary LDAP browser and when I try 
to read or search the ou=Users,dc=example,dc=com entry I get an error 
that the entry can't be read or searched. 

Any ideas? Thanks for any help!! 

I should also mention that I get the following error when I start the 
Penrose server: 

[16/09/2005 10:17:19] mx4j.tools.config.ConfigurationException 
mx4j.tools.config.ConfigurationException 
javax.management.ReflectionException: The MBean class could not be 
loaded by the 
 context classloader 
        at 
com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(Unknown Sourc 
e) 
        at 
com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.findClass(Unknown Sourc 
e) 
        at 
com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(Unk 
nown Source) 
        at 
com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(Unk 
nown Source) 
        at com.sun.jmx.mbeanserver.JmxMBeanServer.createMBean(Unknown 
Source) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Create.configure(Defaul 
tConfigurationBuilder.java:548) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Startup.configure(Defau 
ltConfigurationBuilder.java:294) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Configuration.startup(D 
efaultConfigurationBuilder.java:168) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Configuration.configure 
(DefaultConfigurationBuilder.java:151) 
        at 
mx4j.tools.config.ConfigurationLoader.startup(ConfigurationLoader.jav 
a:90) 
        at 
org.safehaus.penrose.PenroseServer.runJmx(PenroseServer.java:136) 
        at 
org.safehaus.penrose.PenroseServer.main(PenroseServer.java:240) 
Caused by: java.lang.ClassNotFoundException: 
mx4j/tools/adaptor/http/HttpAdaptor 

        at java.lang.Class.forName0(Native Method) 
        at java.lang.Class.forName(Unknown Source) 
        ... 12 more 
[16/09/2005 10:17:19] Penrose Server is ready. 
Additional Comments From endisd dated Mon Sep 19 12:39:38 CDT 2005 
The problem was solved after reverting back to Java 1.4.x and using SQL Server's JDBC driver instead of ODBC. The MX4J library seems to be having a problem running in Java 1.5. We'll address this issue in the future release.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-92',
          'assignee' => 'endisd',
          'summary' => 'Dynamic Entry is not Working',
          'id' => '10284',
          'updated' => '2006-11-01 22:41:53.0',
          'votes' => '0',
          'fixVersions' => [],
          'description' => ''m using Penrose 0.9.5 server and studio on WinServer 2003 with 
j2se/1.5.0. I'm using an ODBC data souce to SQLServer 2000. I 
successfully created and tested a connection and source--my goal is to 
map the users table in the rdbms to inetorgperson classes for LDAP. 
Under the ou=Users,dc=example,dc=com node I created a dynamic entry 
with an RDN of uid=... I added the source and mapped five fields (i.e. 
sn=namelast, uid=username, postalcode=postalcode, givenname=namefirst, 
cn=namefirst+namelast) both ways from the source to the object and vice 
versa. 

Now, when I preview the ou=Users,dc=example,dc=com entry, I get nothing 
beneath it, in other words, I don't see my dynamic entry. I also tried 
browsing the directory using an ancillary LDAP browser and when I try 
to read or search the ou=Users,dc=example,dc=com entry I get an error 
that the entry can't be read or searched. 

Any ideas? Thanks for any help!! 

I should also mention that I get the following error when I start the 
Penrose server: 

[16/09/2005 10:17:19] mx4j.tools.config.ConfigurationException 
mx4j.tools.config.ConfigurationException 
javax.management.ReflectionException: The MBean class could not be 
loaded by the 
 context classloader 
        at 
com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(Unknown Sourc 
e) 
        at 
com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.findClass(Unknown Sourc 
e) 
        at 
com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(Unk 
nown Source) 
        at 
com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(Unk 
nown Source) 
        at com.sun.jmx.mbeanserver.JmxMBeanServer.createMBean(Unknown 
Source) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Create.configure(Defaul 
tConfigurationBuilder.java:548) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Startup.configure(Defau 
ltConfigurationBuilder.java:294) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Configuration.startup(D 
efaultConfigurationBuilder.java:168) 
        at 
mx4j.tools.config.DefaultConfigurationBuilder$Configuration.configure 
(DefaultConfigurationBuilder.java:151) 
        at 
mx4j.tools.config.ConfigurationLoader.startup(ConfigurationLoader.jav 
a:90) 
        at 
org.safehaus.penrose.PenroseServer.runJmx(PenroseServer.java:136) 
        at 
org.safehaus.penrose.PenroseServer.main(PenroseServer.java:240) 
Caused by: java.lang.ClassNotFoundException: 
mx4j/tools/adaptor/http/HttpAdaptor 

        at java.lang.Class.forName0(Native Method) 
        at java.lang.Class.forName(Unknown Source) 
        ... 12 more 
[16/09/2005 10:17:19] Penrose Server is ready. ',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-09-15 00:00:00.0',
                                 'sequence' => '5',
                                 'name' => 'Penrose-0.9.5',
                                 'released' => 'true',
                                 'id' => '10022',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2005-09-16 11:25:03.0',
          'environment' => 'WinServer 2003, j2se/1.5.0, ODBC, SQLServer 2000',
          'resolution' => '2',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:57:45 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-92

Note You need to log in before you can comment on or make changes to this bug.